React Bootstrap Collapse

React Collapse - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap collapse is a component which toggles content. Useful for grouping great amount of texts and/or graphics into expanding and collapsing items.

Collapse is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you toggle. Collapsing an element will animate the height from it’s current value to 0.


Basic example

Click the buttons below to show and hide another element:

You can use a link with the href attribute, or a button.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum
        
            
        import React, { Component } from "react";
        import { MDBBtn, MDBCollapse } from "mdbreact";

        class CollapsePage extends Component {
          state = {
            collapseID: ""
          }

          toggleCollapse = collapseID => () => {
            this.setState(prevState => ({
              collapseID: prevState.collapseID !== collapseID ? collapseID : ""
            }));
          }

          render() {
            return (
              <>
              <MDBBtn
                color="primary"
                href="!#"
                onClick={this.toggleCollapse("basicCollapse")}
                style={{ marginBottom: "1rem" }}
            >
              COLLAPSE LINK
            </MDBBtn>
            <MDBBtn
              color="primary"
              onClick={this.toggleCollapse("basicCollapse")}
              style={{ marginBottom: "1rem" }}
            >
              COLLAPSE BUTTON
            </MDBBtn>
                <MDBCollapse id="basicCollapse" isOpen={this.state.collapseID}>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                    eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
                    ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
                    aliquip ex ea commodo consequat. Duis aute irure dolor in
                    reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
                    pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
                    culpa qui officia deserunt mollit anim id est laborum
                  </p>
                </MDBCollapse>
              </>
            );
          }
        }

        export default CollapsePage;
        
        
    

Accordion MDB Pro component

Using the card component, you can extend the default collapse behavior to create an accordion.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBCollapse, 
          MDBCard, 
          MDBCardBody, 
          MDBCollapseHeader 
        } from "mdbreact";

        class CollapsePage extends Component {
          state={
            collapseID: "collapse3"
          }

          toggleCollapse = collapseID => () =>
            this.setState(prevState => ({
              collapseID: prevState.collapseID !== collapseID ? collapseID : ""
            }));

          render() {
            const { collapseID } = this.state;

            return (
              <MDBContainer>
                <MDBContainer className="mt-5">
                  <MDBCard className="mt-3">
                    <MDBCollapseHeader onClick={this.toggleCollapse("collapse1")}>
                      Collapsible Group Item #1
                      <i className={ collapseID==="collapse1" ? "fa fa-angle-down rotate-icon" : "fa fa-angle-down" } />
                    </MDBCollapseHeader>
                    <MDBCollapse id="collapse1" isOpen={collapseID}>
                      <MDBCardBody>
                        Pariatur cliche reprehenderit, enim eiusmod high life accusamus
                        terry richardson ad squid. 3 wolf moon officia aute, non
                        cupidatat skateboard dolor brunch. Food truck quinoa nesciunt
                        laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a
                        bird on it squid single-origin coffee nulla assumenda shoreditch
                        et. Nihil anim keffiyeh helvetica, craft beer labore wes
                        anderson cred nesciunt sapiente ea proident. Ad vegan excepteur
                        butcher vice lomo. Leggings occaecat craft beer farm-to-table,
                        raw denim aesthetic synth nesciunt you probably haven&apos;t
                        heard of them accusamus labore sustainable VHS.
                      </MDBCardBody>
                    </MDBCollapse>
                  </MDBCard>

                  <MDBCard>
                    <MDBCollapseHeader onClick={this.toggleCollapse("collapse2")}>
                      Collapsible Group Item #2
                      <i className={ collapseID==="collapse2" ? "fa fa-angle-down rotate-icon" : "fa fa-angle-down" } />
                    </MDBCollapseHeader>
                    <MDBCollapse id="collapse2" isOpen={collapseID}>
                      <MDBCardBody>
                        Anim pariatur cliche reprehenderit, enim eiusmod high life
                        accusamus terry richardson ad squid. 3 wolf moon officia aute,
                        non cupidatat skateboard dolor brunch. Food truck quinoa
                        nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua
                        put a bird on it squid single-origin coffee nulla assumenda
                        shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore
                        wes anderson cred nesciunt sapiente ea proident. Ad vegan
                        excepteur butcher vice lomo. Leggings occaecat craft beer
                        farm-to-table, raw denim aesthetic synth nesciunt you probably
                        haven&apos;t heard of them accusamus labore sustainable VHS.
                      </MDBCardBody>
                    </MDBCollapse>
                  </MDBCard>

                  <MDBCard>
                    <MDBCollapseHeader onClick={this.toggleCollapse("collapse3")}>
                      Collapsible Group Item #3
                      <i className={ collapseID==="collapse3" ? "fa fa-angle-down rotate-icon" : "fa fa-angle-down" } />
                    </MDBCollapseHeader>
                    <MDBCollapse id="collapse3" isOpen={collapseID}>
                      <MDBCardBody>
                        Anim pariatur cliche reprehenderit, enim eiusmod high life
                        accusamus terry richardson ad squid. 3 wolf moon officia aute,
                        non cupidatat skateboard dolor brunch. Food truck quinoa
                        nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua
                        put a bird on it squid single-origin coffee nulla assumenda
                        shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore
                        wes anderson cred nesciunt sapiente ea proident. Ad vegan
                        excepteur butcher vice lomo. Leggings occaecat craft beer
                        farm-to-table, raw denim aesthetic synth nesciunt you probably
                        haven&apos;t heard of them accusamus labore sustainable VHS.
                      </MDBCardBody>
                    </MDBCollapse>
                  </MDBCard>
                </MDBContainer>
              </MDBContainer>
            );
          }
        }

        export default CollapsePage;
        
        
    

React Collapse - API

In this section you will find advanced information about the Collapse component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Collapse import statement

In order to use Collapse component make sure you have imported proper module first.

        
            
        import {  MDBCollapse, MDBCollapseHeader } from "mdbreact";
        
        
    

MDBCollapse

The table below shows the configuration options of the MDBCollapse component.

Name Type Default Description Example
className String Adds custom classes <MDBCollapse className="myClass" ... />
isOpen Boolean Defines is accordion opened or closed <MDBCollapse isOpen={true} ... />
delay Object Defines how many milliseconds the open/close event are delayed <MDBCollapse delay={{show: 2000, hide: 4000}} ... />
onOpened function Defines the function which fires when Accordion has opened <MDBCollapse onOpened={() => console.log('hello')} ... />
onClosed function Defines the function which fires when Accordion has closed <MDBCollapse onClosed={() => console.log('hello')} ... />

MDBCollapseHeader

The table below shows the configuration options of the MDBCollapseHeader component.

Name Type Default Description Example
tag String Specifies the custom tag for the MDBCollapseHeader component <MDBCollapseHeader tag="div" ... />
className String Adds custom classes <MDBCollapseHeader className="myClass" ... />

Vue Bootstrap Collapse

Vue Collapse - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap collapse is a component which toggles content. Useful for grouping great amount of texts and/or graphics into expanding and collapsing items.


How it works

Collapse is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you toggle. Collapsing an element will animate the height from it’s current value to 0. Given how CSS handles animations, you cannot use padding on a .collapse element. Instead, use the class as an independent wrapping element.


Example

Click the buttons below to show and hide another element:

You can use a link with the href attribute, or a button.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum
        
            
            <template>
              <mdb-container>
                <mdb-collapse
                  :toggleTag="['a', 'button']"
                  :togglers="2"
                  :toggleClass="['btn btn-primary', 'btn-primary']"
                  :toggleText="['Collapse link', 'Collapse button']"
                >
                  <h5 class="pt-3">Collapsing text</h5>
                  <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>
                </mdb-collapse>
              </mdb-container>
            </template>
          
        
    
        
            
            <script>
              import { mdbCollapse, mdbContainer } from 'mdbvue';
              export default {
                name: 'CollapsePage',
                components: {
                  mdbCollapse,
                  mdbContainer
                }
              }
            </script>
          
        
    

Multiple targets

A <button> or <a> can show and hide multiple elements by referencing them with a JQuery selector in its href or data-target attribute. Multiple <button> or <a> can show and hide an element if they each reference it with their href or data-target attribute.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
              <template>
                <mdb-container>
                  <mdb-btn
                    color="primary"
                    @click.native.prevent="collapse2 === true ? collapse2 = false : collapse2 = true"
                  >
                    Toggle first element
                  </mdb-btn>
                  <mdb-btn
                    color="primary"
                    @click.native.prevent="collapse3 === true ? collapse3 = false : collapse3 = true"
                  >
                    Toggle second element
                  </mdb-btn>
                  <mdb-btn
                    color="primary"
                    @click.native.prevent="[collapse2 === true ? collapse2 = false : collapse2 = true] && [collapse3 === true ? collapse3 = false : collapse3 = true]"
                  >
                    Toggle both elements
                  </mdb-btn>
                  <mdb-row>
                    <mdb-col sm="6">
                      <transition @before-enter="beforeEnter" @enter="enter" @before-leave="beforeLeave">
                        <mdb-card v-if="collapse2" class="collapse-item mt-2">
                          <card-body>
                            <h5 class="pt-2">Collapsing text</h5>
                            <p class="pb-2">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>
                          </card-body>
                        </mdb-card>
                      </transition>
                    </mdb-col>
                    <mdb-col sm="6">
                      <transition @before-enter="beforeEnter" @enter="enter" @before-leave="beforeLeave">
                        <mdb-card v-if="collapse3" class="collapse-item mt-2">
                          <mdb-card-body>
                            <h5 class="pt-2">Collapsing text</h5>
                            <p class="pb-2">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>
                          </mdb-card-body>
                        </mdb-card>
                      </transition>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </template>
            
        
    
        
            
              <script>
                import { mdbBtn, mdbContainer, mdbCol, mdbRow, mdbCard, mdbCardBody } from 'mdbvue';
                export default {
                  name: 'CollapsePage',
                  components: {
                    mdbBtn,
                    mdbContainer,
                    mdbCol,
                    mdbRow,
                    mdbCard,
                    mdbCardBody
                  },
                  data() {
                    return {
                      collapse2: false,
                      collapse3: false
                    };
                  },
                  methods: {
                    beforeEnter(el) {
                      this.elHeight = el.scrollHeight;
                    },
                    enter(el) {
                      el.style.height = this.elHeight+'px';
                    },
                    beforeLeave(el) {
                      el.style.height = 0;
                    }
                  }
                }
              </script>
            
        
    
        
            
              <style scoped>
                .collapse-item {
                  overflow: hidden;
                  height: 0;
                  padding: 0;
                  transition: height .5s;
                }
              </style>
            
        
    

Accordion MDB Pro component

Using the card component, you can extend the default collapse behavior to create an accordion.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
            <template>
              <mdb-container>
                <mdb-accordion :panes="panes" material></mdb-accordion>
              </mdb-container>
            </template>
          
        
    
        
            
            <script>
              import { mdbContainer, mdbAccordion } from 'mdbvue';
              export default {
                components: {
                  mdbContainer,
                  mdbAccordion
                },
                data() {
                  return {
                    panes: [
                      {
                        title: 'Collapsible Group Item #1',
                        content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
                      }, {
                        title: 'Collapsible Group Item #2',
                        content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
                      },
                      {
                        title: 'Collapsible Group Item #3',
                        content: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
                      }
                    ]
                  }
                }
              }
            </script>
          
        
    

Collapse - API

In this section you will find advanced information about the Collapse component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          <script>
            import { mdbCollapse } from 'mdbvue';
          </script>
        
        
    

API Reference: Properties

Name Type Default Description Example
togglers Number 1 The number of toggle buttons. <mdb-collapse :togglers="2" ... >
toggleTag String, Array ['button'] Togglers tag <mdb-collapse :toggleTag="['a', 'button']" ... >
toggleText String, Array ['Toggle'] Determines the inner text of each toggler <mdb-collapse :toggleText="['Collapse link', 'Collapse button']" ... >
toggleClass String, Array ['btn btn-primary'] Determines the classes of each toggler <mdb-collapse :toggleClass="['Collapse link', 'Collapse button']" ... >

For Accordion API please visit Accordion Page.

Angular Bootstrap Collapse

Angular Collapse - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

It's easy to toggle the visibility of content across your project with a few classes and our TypeScript code.


How it works

The collapse feature is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you may toggle. Collapsing an element will animate the height from it’s current value to 0. Given how CSS handles animations, you cannot use padding on a .collapse element. Instead, use the class as an independent wrapping element.


Example

Click the buttons below to show and hide another element via class changes:

  1. .collapse hides content
  2. .collapsing is applied during transitions
  3. .collapse.show shows content
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
<button mdbBtn color="primary" class="waves-light" type="button" (click)="test.toggle()" mdbWavesEffect>
  Toggle collapse
</button>
<div class="" mdbCollapse #test="bs-collapse">
  <p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim
    keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.</p>
</div>

Collapse visible after View init

This shows collapsed text in the ngAfterViewInit lifecycle

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
<button mdbBtn color="primary" class="waves-light" type="button" (click)="test.toggle()" mdbWavesEffect>
  Toggle collapse
</button>
<div mdbCollapse [isCollapsed]="true" #test="bs-collapse">
  <p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica,
    craft beer labore wes anderson cred nesciunt sapiente ea proident.</p>
</div>
import { CollapseComponent } from 'angular-bootstrap-md or ng-uikit-pro-standard';
import { Component, AfterViewInit, ViewChildren } from '@angular/core';

@Component({
  selector: 'collapse',
  templateUrl: './collapse.component.html',
  styleUrls: ['./collapse.component.scss'],
})
export class CollapseComponent implements AfterViewInit {
  @ViewChildren(CollapseComponent) collapses!: CollapseComponent[];

  ngAfterViewInit() {
    Promise.resolve().then(() => {
      this.collapses.forEach((collapse: CollapseComponent) => {
        collapse.toggle();
      });
    })
  }
}

Accordion MDB Pro component

Using the card component, you can extend the default collapse behavior to create an accordion.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
<!--Accordion wrapper-->
<mdb-accordion [multiple]="false" aria-multiselectable="true">
  <mdb-accordion-item  [collapsed]="true" *ngFor="let item of itemsList">
      <mdb-accordion-item-head> {{ item.title }} </mdb-accordion-item-head>
      <mdb-accordion-item-body> {{ item.description }} </mdb-accordion-item-body>
  </mdb-accordion-item>
</mdb-accordion>
<!--/.Accordion wrapper-->
import { Component } from '@angular/core';

@Component({
  selector: 'collapse',
  templateUrl: './collapse.component.html',
  styleUrls: ['./collapse.component.scss'],
})
export class CollapseComponent {
  itemsList = [
    {
      title: 'Collapsible Group Item #1',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    },
    {
      title: 'Collapsible Group Item #2',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    },
    {
      title: 'Collapsible Group Item #3',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    }
  ];
}

Disabled Accordion MDB Pro component

This sowhs a disabled item via isDisabled property in Accordion.

<!--Accordion wrapper-->
<mdb-accordion [multiple]="false" aria-multiselectable="true">
  <mdb-accordion-item  [collapsed]="true" *ngFor="let item of itemsList; let i = index">
      <mdb-accordion-item-head [isDisabled]="i == 1"> {{ item.title }} </mdb-accordion-item-head>
      <mdb-accordion-item-body> {{ item.description }} </mdb-accordion-item-body>
  </mdb-accordion-item>
</mdb-accordion>
<!--/.Accordion wrapper-->
import { Component } from '@angular/core';

@Component({
  selector: 'collapse',
  templateUrl: './collapse.component.html',
  styleUrls: ['./collapse.component.scss'],
})
export class CollapseComponent {
  itemsList = [
    {
      title: 'Collapsible Group Item #1',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    },
    {
      title: 'Collapsible Group Item #2',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    },
    {
      title: 'Collapsible Group Item #3',
      description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.'
    }
  ];
}

Accessibility

Be sure to add aria-expanded to the control element. This attribute explicitly conveys the current state of the collapsible element tied to the control to screen readers and similar assistive technologies. If the collapsible element is closed by default, the attribute on the control element should have a value of aria-expanded="false". If you’ve set the collapsible element to be open by default using the show class, set aria-expanded="true" on the control instead. The plugin will automatically toggle this attribute on the control based on whether or not the collapsible element has been opened or closed (via JavaScript, or because the user triggered another control element also tied to the same collapsible element).

If the control element’s HTML element is not a button (e.g., an <a> or <div>), the attribute role="button" should be added to the element.

If your control element is targeting a single collapsible element – i.e. the data-target attribute is pointing to an id selector – you should add the aria-controls attribute to the control element, containing the id of the collapsible element. Modern screen readers and similar assistive technologies make use of this attribute to provide users with additional shortcuts to navigate directly to the collapsible element itself.

Angular Collapse - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of collapse component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

import { CollapseModule, AccordionModule, WavesModule } from 'ng-uikit-pro-standard'
import { CollapseModule, WavesModule } from 'angular-bootstrap-md'

Components

CollapseComponent

Selector: mdbCollapse

Type: CollapseComponent

Collapse Inputs

Name Type Default Description Example
isCollapsed boolean true Input determines if element should be collapsed or not at start. [isCollapsed]="true"

Collapse Events

Name Type Description Example
showBsCollapse any This event fires immediately when the show instance method is called. (showBsCollapse)="showBsCollapse()"
shownBsCollapse any This event is fired when a collapse element has been made visible to the user (will wait for CSS transitions to complete). (shownBsCollapse)="shownBsCollapse()"
hideBsCollapse any This event is fired immediately when the hide method has been called. (hideBsCollapse)="hideBsCollapse()"
hiddenBsCollapse any This event is fired when a collapse element has been hidden from the user (will wait for CSS transitions to complete). (hiddenBsCollapse)="hiddenBsCollapse()"
collapsed any This event fires immediately when the element is collapsed. (collapsed)="collapsed()"
expanded any This event fires immediately when the element is expanded. (expanded)="expanded()"

Accordion Inputs

Name Type Default Description Example
multiple boolean true This attribute enable/disable the multiple item expanded at the same time. [multiple]="true"
collapsed boolean true This attribute enable/disable collapse from the beginning when component is rendered. [collapsed]="true"
isDisabled boolean false This attribute disable accordion item when true. [isDisabled]="true"